Bug 961361 - Cassandra Migration - delete-only and delete-data options are being ignored during migration
Cassandra Migration - delete-only and delete-data options are being ignored d...
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Installer (Show other bugs)
JON 3.2
x86_64 Linux
unspecified Severity high
: ER01
: JON 3.2.0
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: 951619
  Show dependency treegraph
 
Reported: 2013-05-09 09:22 EDT by Armine Hovsepyan
Modified: 2015-09-02 20:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-02 15:36:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
migration_delete-only.png (94.10 KB, image/png)
2013-05-09 09:22 EDT, Armine Hovsepyan
no flags Details

  None (edit)
Description Armine Hovsepyan 2013-05-09 09:22:56 EDT
Created attachment 745660 [details]
migration_delete-only.png

Description of problem:
Cassandra Migration - delete-only and delete-data options are being ignored during migration

Version-Release number of selected component (if applicable):
jenkins build 198

How reproducible:
always

Steps to Reproduce:
1. run migrator jar with the following options :
java -jar  data-migrator-oracle-4.7.0-SNAPSHOT.jar  --cassandra-hosts=migrperfpostgres.bc.jonqe.lab.eng.bos.redhat.com --cassandra-user=rhqadmin --cassandra-password=rhqadmin --cassandra-port=9142 --estimate-only=false --delete-data=true -X  --disable-6h-migration=true -X --delete-only=true

2. run migrator jar with the following options:
java -jar  data-migrator-oracle-4.7.0-SNAPSHOT.jar  --cassandra-hosts=migrperfpostgres.bc.jonqe.lab.eng.bos.redhat.com --cassandra-user=rhqadmin --cassandra-password=rhqadmin --cassandra-port=9142 --estimate-only=false --delete-data=true -X  --disable-6h-migration=true -X 
  
Actual results:
for both cases-  no data is being removed from sql db
for case 1 - migration process starts having --delete-only=true

Expected results:
for both cases data from sql should be removed
for case 1 - no migration should be started


Additional info:
Comment 1 Stefan Negrea 2013-06-28 16:37:34 EDT
Updated the list of arguments for the command also improved the logic for detecting that a delete only was requested. 

Please retest.
Comment 2 Armine Hovsepyan 2013-07-01 12:55:50 EDT
verified.

thank you.

Note You need to log in before you can comment on or make changes to this bug.